Subject: [AVT] RE: [dccp] Would a DCCP flow need to send 2x its preferred rate?

From: "Phelan, Tom" <[email-masked]>
Date: Tue, 2 Dec 2003 20:31:39 -0500

Hi Eddie,

See inline ...

Tom Phelan

> -----Original Message-----
> From: Eddie Kohler [mailto:[email-masked]]
> Sent: Tuesday, December 02, 2003 7:36 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [dccp] Would a DCCP flow need to send 2x its preferred rate?
> 
> 
> (To protect itself from "greedy TCP flows" gobbling up available
> bandwidth?)
> 
> No.
> 
> TFRC exists to smooth out responses to congestion.  A single 
> loss (such as
> that caused by TCP probing) does not halve the TFRC transmit 
> rate.  In many
> cases it will cause only small changes (which, as we've discussed, the
> application might be able to ignore).  In many cases it will 
> not change the
> rate at all.
> 
> If the congested link has high levels of statistical 
> multiplexing, the TCP
> flows won't likely gobble up the available bandwidth anyway 
> -- even during
> a silent period.

Huh?  You seem to be saying that if you have a lot of TCP streams on a link
they won't use all of the available bandwidth.  I thought just the opposite.
With a low level of multiplexing there's more chance of synchronizing losses
and cutbacks, and not fully utilizing the link.  But with a large number of
flows enough of them will be blasting away while others are cut back.

> If the congested link has low levels of statmux -- like one 
> DCCP flow and
> one TCP flow -- then yes, the TCP would try for the available 
> bandwidth.
> And during a silent period, the TFRC flow would have to 
> transmit something
> so it wasn't crowded out entirely.  But this amount would be 
> *half* the
> nominal rate, or perhaps less.  Not twice.

So this relates to our previous conversation?  When you're transmitting at
less than the TFRC allowed rate, your allowed rate could be twice what
you're transmitting.  If a loss event happens, your allowed rate is cut
back, but since it was twice what you were actually transmitting, no effect.
This gives you the effective "protection" of transmitting at twice your
necessary rate, without actually doing it.

Great if it works.  A simulation would be nice :-).

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: Eddie Kohler <[email-masked]>
Date: Tue, 02 Dec 2003 17:37:32 -0800

> > If the congested link has high levels of statistical multiplexing, the
> > TCP flows won't likely gobble up the available bandwidth anyway -- even
> > during a silent period.
> 

Most links nowadays with high levels of statmux have lots of TCP flows
coming and going all the time.  Yes, long-lived flows would take up all the
available bandwidth, and they might be hard to beat back.  But that's not
a realistic scenario in most parts of the Internet.

> necessary rate, without actually doing it.

Yep.  Also note that your allowed rate wouldn't be cut back by half right
away -- that's the power of TFRC.  It would drop slowly if at all.

> A simulation would be nice :-).

Yep. :)

Eddie